services:
  domain_source.element_manager:
    class: Drupal\domain_source\DomainSourceElementManager
    arguments: ['@entity_type.manager']
  domain_source.path_processor:
    class: Drupal\domain_source\HttpKernel\DomainSourcePathProcessor
    arguments: ['@domain.negotiator', '@module_handler', '@entity_type.manager', '@path_alias.manager', '@config.factory']
    tags:
      - { name: path_processor_outbound, priority: 90 }
